#!/usr/bin/python
import os
import sys
import string
import re

result = ""
warn = 0

for line in os.popen("sudo /opt/areca/cli32 hw info").readlines():
	if re.search('CPU Temperature', line):
		tempLine = line.split(":")
		temperature = tempLine[1]
		temperature = temperature.replace('C','')
		temperature = temperature.replace(' ','')
		temperature = temperature.replace('\n','')
		temperature = int(temperature)
		if temperature < 65:
			result = "OK temperature of the areca: " + str(temperature) + "C"
			warn = 0
		elif 65<= temperature <= 74:
			result = "WARNING temperature of the areca: " + str(temperature) + "C"
			warn = 1
		elif temperature > 74:
			result = "CRITICAL temperature of the areca: " + str(temperature) + "C"
			warn = 2
print result
sys.exit(warn)
