#!/usr/bin/python
import os
import sys
import string
import re
import getopt

result = ""
warn = 0
tel_number = "0683014114"

def main(argv):
   warnarg= ''
   critarg = ''
   const_temp_warning = ''
   const_temp_ok = ''
   try:
      opts, args = getopt.getopt(argv,"hw:c:",["warnarg","critarg"])
   except getopt.GetoptError:
      print 'test.py -w <warning argument> -c <critical argument>'
      sys.exit(2)
   for opt, arg in opts:
      if opt == '-h':
         print 'argument not defined -w <warning argument> -c <critical argument>'
         sys.exit()
      elif opt in ("-w", "--warnarg"):
         warnarg = arg
	 const_temp_ok = int(warnarg)
      elif opt in ("-c", "--critarg"):
         critarg = arg
	 const_temp_warning = int(critarg)

   if const_temp_ok == '':
	print 'agrument not defined -w <warning argument> -c <critical argument>'
	warn = 2
	sys.exit(warn)
   if const_temp_warning < const_temp_ok:
        print 'argument -w <warning argument> greater than argument -c <critical argument>'
        warn = 2
        sys.exit(warn)
   if const_temp_warning == '':
	print 'argument not defined -w <warning argument> -c <critical argument>'
	warn = 2
        sys.exit(warn)

   for usb in os.popen("lsusb").readlines():
		if re.search('1-Wire',usb):
	                if os.path.exists("/mnt/1wire/26.747323010000/temperature"):
	                        obFile = open('/mnt/1wire/26.747323010000/temperature','r')
	                        temperature = obFile.read()
	                        temperature = temperature.replace('     ','')
	                        temperature = temperature.replace('\n','')
	                        temperature = temperature.split(".")
        	                temperature = temperature[0]
        	                temperature = int(temperature)
				
				if temperature < const_temp_ok:
                        	       	result = "OK temperature of the room : " + str(temperature) + "C"
	                                warn = 0
                        	elif const_temp_ok <= temperature <= const_temp_warning:
                                	result = "WARNING temperature of the room : " + str(temperature) + "C"
                               		warn = 1
                        	elif temperature > const_temp_warning:
                                	result = "CRITICAL temperature of the room : " + str(temperature) + "C"
                                	warn = 2
					os.popen('gammu-smsd-inject TEXT %s -text "attention la temperature de la salle serveur est de: %sC"' %(tel_number,temperature))
                        	print result
                        	sys.exit(warn)
                	else:
                        	result = "CRITICAL file not found (sensor not plug)!"
                        	warn = 2
                        	print result
                        	sys.exit(warn)

   else:    
	result = "CRITICAL sensor not found (usb not plug)!"
	warn = 2
	print result
	sys.exit(warn)

if __name__ == "__main__":
   main(sys.argv[1:])

